<?php
/**
 * Clase Base Bean para BaseCrUtilidadSucMerBN
 *
 * @package    Sedapal
 * @subpackage BaseCrUtilidadSucMerBN
 * @author     Willy
 * @version    SVN:: BaseCrUtilidadSucMerBN.class.php,v 1.1 2016-11-11 13:28:58 william.taype Exp $
 */
abstract class BaseCrUtilidadSucMerBN
{
  protected $IdSucursal;
  protected $IdMercado;
  protected $Mensaje;
  protected $Error;

  public function getIdSucursal(){
    return $this->IdSucursal;
  }
  public function setIdSucursal($v1){
    $this->IdSucursal = $v1; 
  }

  public function getIdMercado(){
    return $this->IdMercado;
  }
  public function setIdMercado($v1){
    $this->IdMercado = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_utilidad_suc_merBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_utilidad_suc_merRs )
  {
    $o_CrUtilidadSucMerBN = new CrUtilidadSucMerBN();
    $o_CrUtilidadSucMerBN->setIdSucursal( $o_Cr_utilidad_suc_merRs['IdSucursal'] );
    $o_CrUtilidadSucMerBN->setIdMercado( $o_Cr_utilidad_suc_merRs['IdMercado'] );
    return $o_CrUtilidadSucMerBN;
  }
}